public class EVListe<T> {

    private class Item {
        T    elem;
	Item next;
    }

    private Item first;
    private Item last;

    public EVListe() {
        this.first = null;
	this.last = null;
    }

    public void append(T elem) {
        Item item = new Item();

	item.next = null;
	item.elem = elem;

	if ( this.first == null ) {
	    this.first = item;
	}
	else {
	    this.last.next = item;
	}
	this.last = item;
    }

    public T getFirst() {
        return this.first.elem;
    }

    public void remove() {
        this.first = this.first.next;
        if ( this.first == null ) {
	    this.last = null;
	}
    }
}
